// cviewvw.h : interface of the CCviewerView class
//
/////////////////////////////////////////////////////////////////////////////

#ifndef	_CVIEWVW_H
#define _CVIEWVW_H

#include "cviewdoc.h"

class CCviewerView : public CView
{
protected: // create from serialization only
	CCviewerView();
	DECLARE_DYNCREATE(CCviewerView)

// Attributes
public:
	CCviewerDoc* GetDocument();
	
// Operations
public:

// Implementation
public:
	virtual ~CCviewerView();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
protected:
	// Printing support
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
 
	afx_msg void OnSysCommand( UINT nID, LPARAM lParam ); 
 
// Generated message map functions
protected:
	//{{AFX_MSG(CCviewerView)
	afx_msg void OnUpdatePageEdit(CCmdUI* pCmdUI);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in cviewvw.cpp
inline CCviewerDoc* CCviewerView::GetDocument()
   { return (CCviewerDoc*)m_pDocument; }
#endif

#endif
/////////////////////////////////////////////////////////////////////////////
